-- 无尽关卡每日挑战奖励界面
Lua_EndlessLevelDailyRewardWindow = class("Lua_EndlessLevelDailyRewardWindow", Lua_Window);
function Lua_EndlessLevelDailyRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_EndlessLevelDailyRewardWindow";
	self.skinName = "EndlessLevelDailyRewardWindow_skin";
	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_EndlessLevelDailyRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	local list = DataCenter.endlessLevelData.dayReward.item;
	local posX = #list > 3 and 0 or (510 - #list * 130) / 2;
	self.itemList = Lua_DragList.new(self.content, 510, 124, Lua_AxisDefine.Horizontal);
	self.itemList.canDrag = #list > 3;
	self.itemList:setListCell(Lua_ItemIconCell, 130, 124, 1);
	self.itemList:setArrayData(list);
	self.itemList:setLocation(posX, 13, 0);

	local state = DataCenter.endlessLevelData.dayReward.term_param2;
	if state == 2 then
		self.drawBtn:setLangValue(779029);
		self.drawBtn:setStyle(16);
	else
		self.drawBtn:setLangValue(779028);
		self.drawBtn:setStyle(1);
	end
	self.drawBtn:addClickFuntion(self, self.onRewardClick);
end

function Lua_EndlessLevelDailyRewardWindow:onRewardClick()
	local state = DataCenter.endlessLevelData.dayReward.term_param2;
	if state == 0 then
		OperateAlert.showLangValue(779063);
	elseif state == 1 then
		Lua_MsgUtil.callFunc("REQUEST_ENDLESSLEVEL_DRAW_REWARD", 2);
		self:hide();
	else
		OperateAlert.showLangValue(779015);
	end
end

function Lua_EndlessLevelDailyRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end