-- 无尽关卡-跳过关卡提示
Lua_EndlessLevelSkipTipsWindow = class("Lua_EndlessLevelSkipTipsWindow", Lua_Window);
function Lua_EndlessLevelSkipTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_EndlessLevelSkipTipsWindow";
	self.isFullSizeWin = true;
end

function Lua_EndlessLevelSkipTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desBg = UICreate.createUIAtlasImage(self.content, "endless_level_atlas", "xui_dbzl_widget_25", 0, -259, 0, 0);
	self.desBg.anchorValue = 1;
	self.desTxt = UICreate.createLabel(self.content, nil, 0, -259, 100, 30, 24);
	self.desTxt.anchorValue = 1;
	self.desTxt.alignmentValue = 4;
	self.desTxt.horizontalOverflowValue = 1;
	self.desTxt.fontName = Lua_MyUISettings.huakangFontName;
	self.desTxt.text = LanUtil.formateStr(779040, DataCenter.endlessLevelData.wave, DataCenter.endlessLevelData.integral);

	Lua_CommonUtil.delayCall(2, self, self.hide);
end

function Lua_EndlessLevelSkipTipsWindow:showWin(param)
	self:superCall("showWin", param);
end

function Lua_EndlessLevelSkipTipsWindow:dispose()
	if self.desBg ~= nil then
		self.desBg:dispose();
		self.desBg = nil;
	end
	if self.desTxt ~= nil then
		self.desTxt:dispose();
		self.desTxt = nil;
	end
	self:superCall("dispose");
end