-- 干脆面碰碰玩法说明弹窗
Lua_JumpHappyExplainWindow = class("Lua_JumpHappyExplainWindow", Lua_Window);
function Lua_JumpHappyExplainWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_JumpHappyExplainWindow";
	self.skinName = "JumpHappyExplainWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_JumpHappyExplainWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desTxt_1:setLangValue(791033);
	self.desTxt_2:setLangValue(791000);
	
	self.explainList = Lua_DragList.new(self.content, 618, 629, Lua_AxisDefine.Vertical);
	self.explainList:setSiblingIndex(3);
	self.explainList:setListCell(Lua_JumpHappyExplainItem, 618, 322, 1);
	self.explainList:setCellSpacing(0, 10);
	self.explainList:setLocation(0, -130, 0);

	local ruleInfo = DataCenter.jumpingHappyData.ruleInfo;
	self.explainList:setArrayData(ruleInfo);
end

function Lua_JumpHappyExplainWindow:dispose()
	if self.explainList ~= nil then
		self.explainList:dispose();
		self.explainList = nil;
	end
	self:superCall("dispose");
end










Lua_JumpHappyExplainItem = class("Lua_JumpHappyExplainItem", Lua_ListCell);
function Lua_JumpHappyExplainItem:ctor(p)
	self:superCall("ctor", p, "JumpHappyExplainItem_skin");
end

function Lua_JumpHappyExplainItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_JumpHappyExplainItem:setData(data)
	if data == nil then
		return;
	end

	self.itemBg:setUrl("/images/activities/"..data.str2);
	self.desTxt.text = data.str1;
end

function Lua_JumpHappyExplainItem:dispose()
	self:superCall("dispose");
end