-- 跳跳乐阶段奖励界面
Lua_JumpHappyProgressRewardWindow = class("Lua_JumpHappyProgressRewardWindow", Lua_Window);
function Lua_JumpHappyProgressRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_JumpHappyProgressRewardWindow";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.blackAlpha = 0;
	self.showWinBg = true;
	self.winBgAtlas = "crack_shot_atlas";
	self.winBgSprite = "xui_bfbz_widget_3";
end

function Lua_JumpHappyProgressRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_DragList.new(self.content, 70, 70, Lua_AxisDefine.Vertical);
	self.rewardList.canDrag = false;
	self.rewardList:setListCell(Lua_JumpHappyProgressRewardItem, 70, 70, 999);
	self.rewardList:setLocation(0, 5.5, 0);
end

function Lua_JumpHappyProgressRewardWindow:showWin(param)
	self:superCall("showWin", param);

	LuaUtil.setObjPos(self.content, param.posX + 43, param.posY + 75, 0);

	local list = param.item_list;
	self.winBg:SetDimensions(#list * 70 + 21, 107);
	self.rewardList:setContentRect(#list * 70, 70);
	self.rewardList:setArrayData(list);
end

function Lua_JumpHappyProgressRewardWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end










Lua_JumpHappyProgressRewardItem = class("Lua_JumpHappyProgressRewardItem", Lua_ItemIconCell);
function Lua_JumpHappyProgressRewardItem:buildShowItem()
	self:superCall("buildShowItem");
	self.itemIcon:setScale(0.55, 0.55);
end