-- 干脆面碰碰玩法说明弹窗
Lua_MergeBlockExplainWindow = class("Lua_MergeBlockExplainWindow", Lua_Window);
function Lua_MergeBlockExplainWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MergeBlockExplainWindow";
	self.skinName = "MergeBlockExplainWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_MergeBlockExplainWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desTxt:setLangValue(773015);

	self.explainList = Lua_DragList.new(self.content, 618, 909, Lua_AxisDefine.Vertical);
	self.explainList.tweenId = 2023;
	self.explainList.delayTween = true;
	self.explainList:setSiblingIndex(3);
	self.explainList:setListCell(Lua_MergeBlockExplainItem, 618, 293, 1);
	self.explainList:setCellSpacing(0, 10);
	self.explainList:setLocation(0, -78, 0);
	self.explainList:setArrayData(DataCenter.mergeBlockData.explain);
end

function Lua_MergeBlockExplainWindow:showWin(param)
	self:superCall("showWin", param);
end

function Lua_MergeBlockExplainWindow:dispose()
	if self.explainList ~= nil then
		self.explainList:dispose();
		self.explainList = nil;
	end
	self:superCall("dispose");
end










Lua_MergeBlockExplainItem = class("Lua_MergeBlockExplainItem", Lua_ListCell);
function Lua_MergeBlockExplainItem:ctor(p)
	self:superCall("ctor", p, "MergeBlockExplainItem_skin");
end

function Lua_MergeBlockExplainItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_MergeBlockExplainItem:setData(data)
	if data == nil then
		return;
	end
	self.itemBg:setUrl("/images/activities/"..data.str2);
	self.desTxt.text = data.str1;
end

function Lua_MergeBlockExplainItem:dispose()
	self:superCall("dispose");
end