-- 跳跳乐结束窗口
Lua_JumpHappyResultWindow = class("Lua_JumpHappyResultWindow", Lua_Window);
function Lua_JumpHappyResultWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_JumpHappyResultWindow";
	self.skinName = "JumpHappyResultWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_JumpHappyResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.myScoreTxt.text = nil;
	self.historyTxt.text = nil;
	self.newIcon:setEnable(false);

	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_JumpHappyResultWindow:showWin(param)
	self:superCall("showWin", param);
	
	DataCenter.jumpingHappyData.bPlayJumping = nil;

	local levelId = param;
	local levelInfo = DataCenter.jumpingHappyData:getLevelInfoById(levelId);
	if levelInfo == nil then
		return;
	end

	local curValue = DataCenter.jumpingHappyData.curSorce or 0;
	local lastValue = DataCenter.jumpingHappyData.historyScore or 0;
	self.myScoreTxt.text = curValue;
	self.historyTxt.text = LanUtil.formateStr(791010, lastValue);
	self.newIcon:setEnable(curValue > lastValue);
end

function Lua_JumpHappyResultWindow:dispose()
	self:superCall("dispose");
end

function Lua_JumpHappyResultWindow:hide()
	Lua_WindowUtil.openWin("Lua_JumpHappyPlayWindow", Lua_WinParam.ACTION_CLOSE);
	self:superCall("hide");
end