-- 干脆面碰碰阶段奖励界面
Lua_MergeBlockProgressRewardWindow = class("Lua_MergeBlockProgressRewardWindow", Lua_Window);
function Lua_MergeBlockProgressRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MergeBlockProgressRewardWindow";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.blackAlpha = 0;
	self.showWinBg = true;
	self.winBgAtlas = "crack_shot_atlas";
	self.winBgSprite = "xui_bfbz_widget_3";
end

function Lua_MergeBlockProgressRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardList = Lua_DragList.new(self.content, 70, 70, Lua_AxisDefine.Vertical);
	self.rewardList.canDrag = false;
	self.rewardList:setListCell(Lua_MergeBlockProgressRewardItem, 70, 70, 999);
	self.rewardList:setLocation(0, 5.5, 0);
end

function Lua_MergeBlockProgressRewardWindow:showWin(param)
	self:superCall("showWin", param);

	LuaUtil.setObjPos(self.content, param.posX + 45, param.posY + 75, 0);

	local list = param.data.itemList;
	self.winBg:SetDimensions(#list * 70 + 21, 107);
	self.rewardList:setContentRect(#list * 70, 70);
	self.rewardList:setArrayData(list);
end

function Lua_MergeBlockProgressRewardWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	self:superCall("dispose");
end










Lua_MergeBlockProgressRewardItem = class("Lua_MergeBlockProgressRewardItem", Lua_ItemIconCell);
function Lua_MergeBlockProgressRewardItem:buildShowItem()
	self:superCall("buildShowItem");
	self.itemIcon:setScale(0.55, 0.55);
end